Subject: Re: [net-next v3 00/14] Add mlx5 subfunction support

From: Leon Romanovsky <[email-masked]>
Date: Sun, 13 Dec 2020 14:08:48 +0200

On Sat, Dec 12, 2020 at 12:25:18PM -0800, Jakub Kicinski wrote:
> On Fri, 11 Dec 2020 22:12:11 -0800 Saeed Mahameed wrote:
> > Hi Dave, Jakub, Jason,
> >
> > This series form Parav was the theme of this mlx5 release cycle,
> > we've been waiting anxiously for the auxbus infrastructure to make it into
> > the kernel, and now as the auxbus is in and all the stars are aligned, I
> > can finally submit this V2 of the devlink and mlx5 subfunction support.
> >
> > Subfunctions came to solve the scaling issue of virtualization
> > and switchdev environments, where SRIOV failed to deliver and users ran
> > out of VFs very quickly as SRIOV demands huge amount of physical resources
> > in both of the servers and the NIC.
> >
> > Subfunction provide the same functionality as SRIOV but in a very
> > lightweight manner, please see the thorough and detailed
> > documentation from Parav below, in the commit messages and the
> > Networking documentation patches at the end of this series.
> >
> > Sending V2/V3 as a continuation to V1 that was sent Last month [0],
> > [0] https://lore.kernel.org/linux-rdma/[email-masked]/
>
> This adds more and more instances of the 32 bit build warning.
>
> The warning was also reported separately on netdev after the recent
> mlx5-next pull.
>
> Please address that first (or did you already do and I missed it
> somehow?)

Hi Jakub,

I posted a fix from Parav,
https://lore.kernel.org/netdev/[email-masked]/T/#u

Thanks